> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# chatservice

## "chatservice" MDO List

Implemented by the <see cref="T:SuperOffice.CRM.Lists.ChatServiceProvider">ChatServiceProvider</see> class.
The name of the MDO list is 'chatservice'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/chatservice
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("chatservice", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name      | StyleHint | ExtraInfo |
| -- | --------- | --------- | --------- |
| 25 | AIM       |           |           |
| 27 | GaduGadu  |           |           |
| 24 | Google    |           |           |
| 22 | Microsoft |           |           |
| 28 | QQ        |           |           |
| 26 | SameTime  |           |           |
| 23 | Yahoo     |           |           |

## Related MDO Lists

* "chatserviceheadings"
* "chatserviceheadingswithallitem"
* "chatserviceheadingswithallitemwithnoselection"
* "chatserviceheadingswithnoselection"
* "chatservicewithallitem"
* "chatservicewithallitemwithnoselection"
* "chatservicewithnoselection"


## Related topics

- [udlist30002](/en/api/mdo-providers/reference/udlist30002.md)
- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
